org.apache.ignite.ml.util.generators.primitives.vector

## Class VectorGeneratorPrimitives

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.vector.VectorGeneratorPrimitives

-     public class VectorGeneratorPrimitives
      extends Object

  Collection of predefined vector generators.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorGeneratorPrimitives()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VectorGenerator` | `circle(double radius)` Returns vector generator of 2D-vectors from circle-like distribution around zero.
    `static VectorGenerator` | `circle(double radius, long seed)` Returns vector generator of 2D-vectors from circle-like distribution around zero.
    `static VectorGenerator` | `constant(Vector v)`
    `static VectorGenerator` | `gauss(Vector means, Vector variances)` Returns vector generator of vectors from multidimensional gauss distribution.
    `static VectorGenerator` | `gauss(Vector means, Vector variances, Long seed)` Returns vector generator of vectors from multidimensional gauss distribution.
    `static VectorGenerator` | `parallelogram(Vector bounds)` Returns vector generator of vectors from multidimensional uniform distribution around zero.
    `static VectorGenerator` | `parallelogram(Vector bounds, long seed)` Returns vector generator of vectors from multidimensional uniform distribution around zero.
    `static VectorGenerator` | `ring(double radius, double fromAngle, double toAngle)` Returns vector generator of 2D-vectors from ring-like distribution.
    `static VectorGenerator` | `ring(double radius, double fromAngle, double toAngle, long seed)` Returns vector generator of 2D-vectors from ring-like distribution around zero.
    `static VectorGenerator` | `zero(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorGeneratorPrimitives

          public VectorGeneratorPrimitives()

  - ### Method Detail

    - #### gauss

          public static VectorGenerator gauss(Vector means,
                                              Vector variances,
                                              Long seed)

      Returns vector generator of vectors from multidimensional gauss distribution.
      Parameters:
        `means` - Mean values per dimension.
        `variances` - Variance values per dimension.
        `seed` - Seed.
      Returns:
        Generator.

    - #### gauss

          public static VectorGenerator gauss(Vector means,
                                              Vector variances)

      Returns vector generator of vectors from multidimensional gauss distribution.
      Parameters:
        `means` - Mean values per dimension.
        `variances` - Variance values per dimension.
      Returns:
        Generator.

    - #### ring

          public static VectorGenerator ring(double radius,
                                             double fromAngle,
                                             double toAngle)

      Returns vector generator of 2D-vectors from ring-like distribution.
      Parameters:
        `radius` - Ring radius.
        `fromAngle` - From angle.
        `toAngle` - To angle.
      Returns:
        Generator.

    - #### ring

          public static VectorGenerator ring(double radius,
                                             double fromAngle,
                                             double toAngle,
                                             long seed)

      Returns vector generator of 2D-vectors from ring-like distribution around zero.
      Parameters:
        `radius` - Ring radius.
        `fromAngle` - From angle.
        `toAngle` - To angle.
        `seed` - Seed.
      Returns:
        Generator.

    - #### parallelogram

          public static VectorGenerator parallelogram(Vector bounds)

      Returns vector generator of vectors from multidimensional uniform distribution around zero.
      Parameters:
        `bounds` - Parallelogram bounds.
      Returns:
        Generator.

    - #### parallelogram

          public static VectorGenerator parallelogram(Vector bounds,
                                                      long seed)

      Returns vector generator of vectors from multidimensional uniform distribution around zero.
      Parameters:
        `bounds` - Parallelogram bounds.
        `seed` - Seed.
      Returns:
        Generator.

    - #### circle

          public static VectorGenerator circle(double radius)

      Returns vector generator of 2D-vectors from circle-like distribution around zero.
      Parameters:
        `radius` - Circle radius.
      Returns:
        Generator.

    - #### circle

          public static VectorGenerator circle(double radius,
                                               long seed)

      Returns vector generator of 2D-vectors from circle-like distribution around zero.
      Parameters:
        `radius` - Circle radius.
        `seed` - Seed.
      Returns:
        Generator.

    - #### zero

          public static VectorGenerator zero(int size)

      Parameters:
        `size` - Vector size.
      Returns:
        Generator of constant vector = zero.

    - #### constant

          public static VectorGenerator constant(Vector v)

      Parameters:
        `v` - Constant.
      Returns:
        Generator of constant vector.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021